Name:           libtommath
Version:        0.41
Release:        5%{?dist}
Summary:        a portable number theoretic multiple-precision integer library
Group:          System Environment/Libraries
License:        Public Domain
URL:            http://www.libtom.org/?page=features&newsitems=5&whatfile=ltm
Source0:        http://www.libtom.org/files/ltm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool

Patch0:         libtommath-makefile.patch

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
BuildRequires:  tetex-latex, tetex-dvips, ghostscript

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .makefile


%build
# no configure script ships with libtommath.  Its only requirement is
# ANSI C. 
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} LIBPATH=%{_libdir} -f makefile.shared 
make %{?_smp_mflags} -f makefile poster manual docs


%install
# There is no configure script that ships with libtommath but it does
# understand DESTDIR and it installs via that and the
# INSTALL_USER and INSTALL_GROUP environment variables.
rm -rf $RPM_BUILD_ROOT
export INSTALL_USER=$(id -un)
export INSTALL_GROUP=$(id -gn)
make install INCPATH=%{_includedir}/tommath DESTDIR=$RPM_BUILD_ROOT LIBPATH=%{_libdir} -f makefile.shared
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.h' -exec chmod 644 {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc bn.pdf poster.pdf tommath.pdf
%{_includedir}/tommath
%{_libdir}/*.so

%changelog
* Fri Jun 29 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.41-5
- removed package name from summary
 
* Wed Jun 27 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.41-4
- changed patch to honor RPM_OPT_FLAGS
- changed patch to allow INCPATH to be set externally
- changed installation of headers to _includedir/tommath

* Sun Jun 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.41-3
- changed patch to bring it into line with the style of libtomcrypt 

* Sat Jun 23 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.41-2
- add patch to makefile.shared to allow for /usr/lib64 installs
- update spec to pass libdir build and install process

* Fri Jun 22 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.41-1
- Initial spec file creation
